from bot_api.abc.select_criteria_abc import SelectCriteriaABC


class AuthUserSelectCriteria(SelectCriteriaABC):
    def __init__(
        self,
        page_index: int,
        page_size: int,
        sort_direction: str,
        sort_column: str,
        first_name: str,
        last_name: str,
        email: str,
        auth_role: int,
    ):
        SelectCriteriaABC.__init__(self, page_index, page_size, sort_direction, sort_column)

        self.first_name = first_name
        self.last_name = last_name
        self.email = email
        self.auth_role = auth_role
